Initial commit.
[PrivacyBrowserPC.git] / CMakeLists.txt
1 cmake_minimum_required(VERSION 3.16)
2
3 project(privacybrowserpc)
4
5 set(QT_MIN_VERSION "5.15.0")
6 set(KF_MIN_VERSION "5.83.0")
7
8 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
9 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
10
11 include(KDEInstallDirs)
12 include(KDECMakeSettings)
13 include(KDECompilerSettings NO_POLICY_SCOPE)
14
15 include(ECMInstallIcons)
16 include(ECMQtDeclareLoggingCategory)
17 include(FeatureSummary)
18
19 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
20
21 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
22     ConfigWidgets
23     CoreAddons
24     Crash
25     DBusAddons
26     DocTools
27     I18n
28     XmlGui
29 )
30
31 add_subdirectory(doc)
32 add_subdirectory(src)
33 add_subdirectory(icons)
34
35 # Make it possible to use the po files fetched by the fetch-translations step
36 ki18n_install(po)
37 kdoctools_install(po)
38
39 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)